Bug 241175 - glibc-common conflicts glibc
glibc-common conflicts glibc
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 07:09 EDT by Jonathan Smith
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-25 05:51:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Smith 2007-05-24 07:09:31 EDT
Description of problem:

--> Processing Conflict: glibc-common conflicts glibc < 2.6
Error: No Package Matching glibc.i686

Version-Release number of selected component (if applicable):

No info provided

How reproducible:


Steps to Reproduce:
1.yum update glibc
2.
3.
  
Actual results:


Resolving Dependencies
--> Running transaction check
---> Package glibc.i686 0:2.6-2 set to be updated
--> Processing Dependency: glibc-common = 2.6-2 for package: glibc
--> Processing Dependency: glibc = 2.6-1 for package: glibc-devel
--> Processing Dependency: glibc = 2.6-1 for package: glibc-headers
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package glibc-devel.i386 0:2.6-2 set to be updated
---> Package glibc-common.i386 0:2.6-2 set to be updated
---> Package glibc-headers.i386 0:2.6-2 set to be updated
--> Processing Conflict: glibc-common conflicts glibc < 2.6
Error: No Package Matching glibc.i686

Expected results:

Whirled Peas

Additional info:
Comment 1 Jakub Jelinek 2007-05-24 09:33:14 EDT
rpm -q --qf '%{name}-%{version}-%{release}.%{arch}\n' glibc glibc-common
glibc-devel glibc-headers
says what?
Comment 2 Jonathan Smith 2007-05-24 16:07:12 EDT
rpm -q --qf '%{name}-%{version}-%{release}.%{arch}\n' glibc glibc-common rpm -q --
qf '%{name}-%{version}-%{release}.%{arch}\n' glibc glibc-common glibc-devel glibc-
headers
glibc-2.5.90-22.i686
glibc-2.5.90-22.i686
glibc-2.6-1.i686
glibc-2.6-1.i686
glibc-common-2.5.90-22.i386
glibc-common-2.5.90-22.i386
glibc-common-2.6-1.i386
glibc-common-2.6-1.i386
rpm-4.4.2-46.fc7.i386
rpm-4.4.2-46.fc7.i386
glibc-2.5.90-22.i686
glibc-2.5.90-22.i686
glibc-2.6-1.i686
glibc-2.6-1.i686
glibc-common-2.5.90-22.i386
glibc-common-2.5.90-22.i386
glibc-common-2.6-1.i386
glibc-common-2.6-1.i386
glibc-devel-2.6-1.i386
glibc-devel-2.6-1.i386
glibc-headers-2.6-1.i386
glibc-headers-2.6-1.i386
Comment 3 Jonathan Smith 2007-05-24 16:20:48 EDT
Ah, thanks

rpm -e glibc-2.5.90-22.i686 glibc-common-2.5.90-22.i386

then...

yum -y upgrade glibc glibc-*

was successful
Comment 4 Jonathan Smith 2007-05-24 16:45:59 EDT
Whoops, spoke too soon.

Those steps worked, and now I have a totally non-working system. 

Something about SCSI not DPO so it switched to ATA and goes into an endless 
process.

This is lower level stuff, so unable to capture anything and no bugzilla 
generated.

Guess I need to scrounge for a rescue disk.
Comment 5 Jakub Jelinek 2007-05-25 05:51:06 EDT
That doesn't have to do anything with glibc though.
Comment 6 Jonathan Smith 2007-05-25 08:12:55 EDT
Yes, true, it would seem that the kernels have done me in (cough, cough) 

It was a good fight (arrgggggggggghhhh) but I fear the light grows dim. 

(gasp)

I tried 3190 and it too is borked. In the rpm process, I erased the last 
working kernel 3175 and...

(thud)

Note You need to log in before you can comment on or make changes to this bug.